Skip to main content
`Ctrl`+`K`

# KSPFCDTruncationType

Define how stored directions are used to orthogonalize in flexible conjugate directions (FCD) methods

## Synopsis

    typedef enum {
      KSP_FCD_TRUNC_TYPE_STANDARD,
      KSP_FCD_TRUNC_TYPE_NOTAY
    } KSPFCDTruncationType;

## Values

- `KSP_FCD_TRUNC_TYPE_STANDARD` - uses all (up to mmax) stored directions

- `KSP_FCD_TRUNC_TYPE_NOTAY` - uses the last max(1,mod(i,mmax)) stored directions at iteration i=0,1..

## See Also

KSP: Linear System Solvers, `KSP`, `KSPFCG`, `KSPPIPEFCG`, `KSPPIPEGCR`, `KSPFCGSetTruncationType()`, `KSPFCGGetTruncationType()`

## Level

intermediate

## Location

include/petscksp.h

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages